Skip to main content
`Ctrl`+`K`

# FitInfoArrayContainer

class astropy.modeling.fitting.FitInfoArrayContainer(fit_info_array)

  Bases: `object`

  This class is intended to contain the object array of all fit_info values and provide a convenience method to access specific items from fit_info as arrays.

  Attributes Summary

  `ndim` |
  `properties` | The properties available to query with `get_property_as_array()`
  `shape` |

  Methods Summary

  `get_property_as_array`(name) | Return an array of one of the fit information properties

  Attributes Documentation

  ndim
  properties

    The properties available to query with `get_property_as_array()`

  shape

  Methods Documentation

  get_property_as_array(name)

    Return an array of one of the fit information properties

    Parameters:
      name `python:str`

        The name of a property present on the individual fit information objects.